#

Function RPLACA, RPLACD

Syntax:

rplaca cons object => cons

rplacd cons object => cons

Pronunciation:

rplaca: [,ree'plakuh] or [,ruh'plakuh]

rplacd: [,ree'plakduh] or [,ruh'plakduh] or [,ree'plakdee] or [,ruh'plakdee]

Arguments and Values:

cons---a cons.

object---an object.

Description:

rplaca replaces the car of the cons with object.

rplacd replaces the cdr of the cons with object.

Examples:

     (defparameter *some-list* (list* 'one 'two 'three 'four)) =>  *some-list*
     *some-list* =>  (ONE TWO THREE . FOUR)
     (rplaca *some-list* 'uno) =>  (UNO TWO THREE . FOUR)
     *some-list* =>  (UNO TWO THREE . FOUR)
     (rplacd (last *some-list*) (list 'IV)) =>  (THREE IV)
     *some-list* =>  (UNO TWO THREE IV)

Side Effects:

The cons is modified.

Affected By: None.

Exceptional Situations: None.

Should signal an error of type type-error if cons is not a cons.

See Also: None.

Notes: None.

Copyright 1996-2001, Xanalys Inc. All rights reserved.